<app-page-data-list
  pageTitle="مدیریت مشتری‌ها"
  [columns]="columns"
  emptyPlaceholderTitle="مشتری یافت نشد"
  [items]="items()"
  [loading]="loading()"
  [showDetails]="true"
  (onAdd)="openAddForm()"
  (onDetails)="toSinglePage($event)"
  (onEdit)="onEditClick($event)"
  (onRefresh)="refresh()"
/>
<superAdmin-consumer-form
  [(visible)]="visibleForm"
  [editMode]="editMode()"
  [consumerId]="selectedItemForEdit()?.id"
  [initialValues]="selectedItemForEdit() || undefined"
  (onSubmit)="refresh()"
/>
